<?php 
declare(strict_types=0);
// session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');return;}

$modu='atvd';
$info='atblog';
$info_descri='ACTIVIDADES';

if($cfg_empr=='tfle'){$tpos=2;}

$modu=strtolower($modu);
// $docu=strtoupper($docu);
$tabla=$modu;

if($info=='atblog'){$info_descri='ACTIVIDADES';}

if(empty($user0['user_tipo'])){$cost='false';}

// if(mb_stristr2('sist.supe',$user0['user_tipo'])){$cost='true';}

// if(!mb_stristr2('sist.supe',$user0['user_tipo']))
// {$user=$user_codigo;}

if(!mb_stristr2('sist.supe',$user0['user_tipo']))
{$enti=$user0['user_cedula'];}

if(!mb_stristr2('sist.supe',$user0['user_tipo']))
{
     $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)==0){$cost='false';}
}

$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$asub0=data_maes('asub',$asub);


// $maes=strtolower($maes);
$modu=strtolower($modu);
$tabla=$modu;

// if(@mb_stristr2('clie.prov.empl',$modu)){$tabla='enti';}
// if(@mb_stristr2('inve.prec.teki',$modu)){$tabla='item';}
if(@mb_stristr2('atvd',$modu)){$tabla='atvd';}

$xtitulo='ACTIVIDADES';
if($modu=='atvd'){$xtitulo='ACTIVIDADES';}

$xtitle='REG. '.$xtitulo;
$xtopcenter=$xtitle;

$fecha0=fecha0($modu);

if(empty($fecha)){$fecha=date('Y-m-d');}

$fecha_min=date('Y-m-d',strtotime('-7 days'));
if($cfg_empr=='fpsa' and date('Ymd')<='20221215'){$fecha_min='2022-10-01';}
if($cfg_empr=='fpsa' and date('Ymd')<='20230131'){$fecha_min='2023-01-01';}
if($cfg_empr=='fpsa' and date('Ymd')<='20230228'){$fecha_min='2023-01-01';}

$fecha_max=date('Y-m-d');
if(empty($fecha1))
{$fecha1=date('Y-m-d',strtotime('-30 days'));}
if(empty($fecha2))
{$fecha2=date('Y-m-d');}

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

//      $src='//'.$domain.'/_lib/info_modu.js'.$js_version;
//      $script=$dom->appendChild($dom->createElement("script"," "));
//      $script->setAttribute("src",$src);
echo $dom->saveXML();



// echo '*/*/*/*/';
// echo sal_item2('20109837');


//  SELECT DB
if(!empty($enti))
{include('sele_info.php');}

if(!empty($sql_info))
{
//      echo $sql_info;
     $sql_info=str_replace('order by ','order by fecha desc, idnum1 desc, iddet desc, ',$sql_info);
//      $sql_info.=' limit 25';
     $sql_info.=' limit 100';
     $res_info=msql_query($sql_info,$link_data);
     if(msql_num_rows($res_info)==0)
     {
//           if($fecha1!=$fecha2)
//           {
//                $fechax=fechax(7,'atvd','','',$enti);
//                $sql_info=str_replace($fecha1,$fechax,$sql_info);
//                $res_info=msql_query($sql_info,$link_data);
//                $fecha1=$fechax;
//           }
     }
     
     if(msql_num_rows($res_info)==0)
     {
          if($fecha1!=$fecha2)
          {
               $sql_info=str_replace($fecha1,$fecha0,$sql_info);
               $res_info=msql_query($sql_info,$link_data);
          }
     }
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';
}
// echo '*/*/*'. $sql_info;

// PANTALLA FILTROS
echo '<div id="filtros" noprint >';
{
// OCULTOS
// echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
echo '<div hide>';     
//      echo '<input id="ipip" value="'.$ipip.'">';
     
     echo '<input id="idnum" value="'.$idnum.'">';
     echo '<input id="fecha1" value="'.$fecha1.'">';
     echo '<input id="fecha2" value="'.$fecha2.'">';
echo '</div>';     
     
// {$ztitulo='FILTROS'; include('ele_title.php');}
// {$ztitulo='INVENTARIOS'; include('ele_title.php');}

// $ztabla='ctas';
// include('ele_datalist.php');

$ztabla='docu';
$zwhere='(docu_codigo="XXXX")';
$zid='dl_plan';     
include('ele_datalist.php');
     
     
     
$ztabla='clie';
$zwhere='(left(clie_codigo,10) in(select distinct left(enti,10) from plan1))';
$zmaintag='datalist';     
include('ele_select.php');
     
     
     
$ztabla='asub';
include('ele_datalist.php');
     
// $ztabla='lote';
// include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="atvd")';
include('ele_datalist.php');

$zobj=2;     
include('ele_break.php');

// view_maes('enti','clie');     

$docu='ATV1';     
$zid='docu';
$ztabla='docu';
$zlabel='Documento';
$zwhere='(docu_tabla="atvd")';
$zvalue=$docu; 
$zhide=1;     
include('ele_select.php');
          
$ptoe='001001';     
$zid='ptoe';
$ztabla='ptoe';
$zlabel='Pto.Emi.';
// $zwhere='(docu_tabla="atvd")';
$zvalue=$ptoe; 
$zhide=1;     
include('ele_select.php');
          
     
         
$zid='enti';
$ztabla='enti';
$zlabel='Usuario';
$zvalue=$enti; 
$zmaxwidth=20;     
if(!empty($enti)){$zreado=2;}
$zwhere='((enti_codigo) in(select left(user_cedula,10) from user0 where user_tipo in ("sist","supe","admi") and user_status not in("I","X")))';     
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&enti="+document.getElementById("enti").value;}';
$zonchange=$zonblur;
include('ele_select.php');

     
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
$zvalue=$fecha;
$zmin=$fecha_min;     
$zmax=$fecha2;     
include('ele_input.php');  
     
     
     
if(!empty($enti))
{
     
$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
// $zonclick='{fn_consulta(event);}';
$zonclick='{document.getElementById("fecha1").value="";document.getElementById("fecha2").value="";fn_consulta(event);}';
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
echo $msgres;
echo '</span>';     
     
     
$zobj=2;     
include('ele_break.php');
     
if(@mb_stristr2('atvd',$modu))
{
     $zobj=4;
     $zid='clie';
     $zlabel='Cliente';
     $zvalue=$clie;
     $ztabla='clie';
     $zonchange='{opt_list_plan();opt_list_atvd();}';
     include('ele_input.php');
     
//      $zobj=1;
//      include('ele_break.php');
     
$zobj=4;
     $zid='plan';
     $zlabel='Proyecto';
     $zvalue=$plan;
     $zmaxwidth=25;
     $zrequi=1;
     $zonchange='{opt_list_atvd();}';
     
//      include('ele_select.php');
     
     $zlist='dl_plan';
     include('ele_input.php');
     
//      $zobj=1;
//      include('ele_break.php');
     
     $zobj=4;
     $zid='asub';
     $zlabel='Actividad';
     $zvalue=$asub;
     $ztabla='asub';
     include('ele_input.php');
     
     $zobj=4;
     $zid='cant';
     $zlabel='Horas';
     $zvalue=(float)$cant;
//      $zmaxlen=7;
     $zwidth=5;
     $zclass='numeric-dec';
     include('ele_input.php');

     $zobj=1;
     include('ele_break.php');
     
}


$zid='detalle';
$zlabel='Notas';
$zwidth=25; 
$ztype='area';     
$zvalue=$detalle;
// $zrows=4;     
include('ele_input.php');
     

$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zsize=1.5;
$zonclick='{save_docu(event);}';
include('ele_button.php');
     
     
     

$zobj=2;     
include('ele_break.php');
}

// TITULO     
{
// $ztitulo=$xtitulo;     
// include('ele_title.php');
     
//      $zid='orden';
//      $zvalue=$orden;
//      $zlabel='Ordenar X';
//      $zoptions='';
//      if($modu=='inve')     
//      {
//           $zoptions.='Linea;';
//      }     
//      if($modu=='vtas')     
//      {
//           $zoptions.='Zona;';
//           $zoptions.='Linea;';
//      }
//      if($modu=='comp')     
//      {
//           $zoptions.='T.Prov.;';
//           $zoptions.='CAIR;';
//      }
//      $zoptions.='Código;';
//      $zoptions.='Nombre;';


//      $zonchange='{fn_consulta(event);}';
//      $zalign='right';
//      include('ele_select.php');

}
     
     

}     
// include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

$sql_idx=1;

for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
//           $zblockrows=3;
          $zheightrow='3';
          $zblockidnum=1;
//           $zwidthtable='100%';
          include('ele_grid.php');     
          
//           if($info=='bbkrdx')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     

echo '</div>';     

echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';

?>

<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;
     
     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
     
}
</script>





<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<script>document.getElementById('plan').value="<?php echo $plan; ?>";</script>
<script>opt_list_plan();</script>
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

